## Apache Zeta Components Manual :: Docs For Class ezcImageHandlerNotAvailableException

### ImageConversion::ezcImageHandlerNotAvailableException

### Class ezcImageHandlerNotAvailableException

Thrown if a specified handler class is not available.

Source for this file: /ImageConversion/src/exceptions/handler_not_available.php

    Exception
       |
       --ezcBaseException
          |
          --ezcImageException
             |
             --ezcImageHandlerNotAvailableException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public void | `__construct( $handlerClass , [ $reason = null] )` Creates a new ezcImageHandlerNotAvailableException.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

void __construct( string $handlerClass , [string $reason = null] )

Creates a new ezcImageHandlerNotAvailableException.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$handlerClass` | string | Name of the affected class.
`$reason` | string | Reason why it is not available.

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3